Module org.firebirdsql.jaybird
Package org.firebirdsql.gds.ng.wire.version15

# Class V15WireOperations

java.lang.Object
org.firebirdsql.gds.ng.wire.AbstractWireOperations
org.firebirdsql.gds.ng.wire.version10.V10WireOperations
org.firebirdsql.gds.ng.wire.version11.V11WireOperations
org.firebirdsql.gds.ng.wire.version13.V13WireOperations
org.firebirdsql.gds.ng.wire.version15.V15WireOperations

All Implemented Interfaces:
  `FbWireOperations`

Direct Known Subclasses:
  `V16WireOperations`

public class V15WireOperations extends V13WireOperations

Since:
  4.0
Author:
  Mark Rotteveel

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.firebirdsql.gds.ng.wire.FbWireOperations

`FbWireOperations.ProcessAttachCallback`

## Constructor Summary

Constructors
Constructor
Description
`V15WireOperations(WireConnection<?,?> connection, WarningMessageCallback defaultWarningMessageCallback)`

## Method Summary

Modifier and Type
Method
Description
`protected DbCryptData`
`readCryptKeyCallback()`
Reads the database encryption callback data from the connection.
`protected void`
`writeCryptKeyCallback(DbCryptData clientPluginResponse)`
Writes the database encryption callback response data to the connection.

### Methods inherited from class org.firebirdsql.gds.ng.wire.version13.V13WireOperations

`authReceiveResponse, enableEncryption, handleCryptKeyCallback`

### Methods inherited from class org.firebirdsql.gds.ng.wire.version11.V11WireOperations

`afterEnqueueDeferredAction, afterProcessDeferredActions, completeDeferredActions, completeDeferredActionsRequiresSync, deferredActionCount, enqueueDeferredAction, processDeferredActions`

### Methods inherited from class org.firebirdsql.gds.ng.wire.AbstractWireOperations

`addServerKeys, clearServerKeys, consumePackets, getAttachProperties, getClientAuthBlock, getConnection, getDefaultWarningMessageCallback, getEncoding, getPluginSpecificData, getXdrIn, getXdrOut, getXdrStreamAccess, processOperation, processResponse, processResponseWarnings, readBatchCompletionResponse, readGenericResponse, readInlineBlobResponse, readNextOperation, readOperationResponse, readResponse, readSqlResponse, readStatusVector, readStatusVector, setNetworkTimeout, withLock, withTransmitLock, writeDirect`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### V15WireOperations

public V15WireOperations(WireConnection<?,?> connection, WarningMessageCallback defaultWarningMessageCallback)

## Method Details

### readCryptKeyCallback

protected DbCryptData readCryptKeyCallback() throws IOException, SQLException
Description copied from class: `V13WireOperations`
Reads the database encryption callback data from the connection.

Overrides:
  `readCryptKeyCallback` in class `V13WireOperations`
Returns:
  Database encryption callback data received from server
Throws:
  `IOException` - For errors reading data from the socket
  `SQLException` - For database errors

### writeCryptKeyCallback

protected void writeCryptKeyCallback(DbCryptData clientPluginResponse) throws SQLException, IOException
Description copied from class: `V13WireOperations`
Writes the database encryption callback response data to the connection.

Overrides:
  `writeCryptKeyCallback` in class `V13WireOperations`
Parameters:
  `clientPluginResponse` - Database encryption callback response data to be sent to the server
Throws:
  `SQLException` - For database errors
  `IOException` - For errors reading data from the socket